/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing LicenseDtoPagedResponse
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class LicenseDtoPagedResponseTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for LicenseDtoPagedResponse
        //private LicenseDtoPagedResponse instance;

        public LicenseDtoPagedResponseTests()
        {
            // TODO uncomment below to create an instance of LicenseDtoPagedResponse
            //instance = new LicenseDtoPagedResponse();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of LicenseDtoPagedResponse
        /// </summary>
        [Fact]
        public void LicenseDtoPagedResponseInstanceTest()
        {
            // TODO uncomment below to test "IsType" LicenseDtoPagedResponse
            //Assert.IsType<LicenseDtoPagedResponse>(instance);
        }

        /// <summary>
        /// Test the property 'Data'
        /// </summary>
        [Fact]
        public void DataTest()
        {
            // TODO unit test for the property 'Data'
        }

        /// <summary>
        /// Test the property 'IsSuccess'
        /// </summary>
        [Fact]
        public void IsSuccessTest()
        {
            // TODO unit test for the property 'IsSuccess'
        }

        /// <summary>
        /// Test the property 'StatusCode'
        /// </summary>
        [Fact]
        public void StatusCodeTest()
        {
            // TODO unit test for the property 'StatusCode'
        }

        /// <summary>
        /// Test the property 'TraceId'
        /// </summary>
        [Fact]
        public void TraceIdTest()
        {
            // TODO unit test for the property 'TraceId'
        }

        /// <summary>
        /// Test the property 'Pagination'
        /// </summary>
        [Fact]
        public void PaginationTest()
        {
            // TODO unit test for the property 'Pagination'
        }
    }
}
